#### Previous topic

scipy.spatial.distance.braycurtis

#### Next topic

scipy.spatial.distance.chebyshev

# scipy.spatial.distance.canberra

`scipy.spatial.distance.``canberra`(u, v)

  Computes the Canberra distance between two 1-D arrays.

  The Canberra distance is defined as

  \[d(u,v) = \sum_i \frac{|u_i-v_i|} {|u_i|+|v_i|}.\]

  Parameters:

  u : (N,) array_like

  > Input array.

  v : (N,) array_like

  > Input array.

  Returns:

  canberra : double

  > The Canberra distance between vectors u and v.

  Notes

  When u[i] and v[i] are 0 for given i, then the fraction 0/0 = 0 is used in the calculation.